Subject: bug#22549: 25.0.50; Tooltips placed outside of screen limits

From: Óscar Fuentes <[email-masked]>
Date: Sat, 06 Feb 2016 21:34:27 +0100

martin rudalics <[email-masked]> writes:

>> I suppose you tested with underlying text very near the dividing screen
>> edge.  When you drag the frame with the mouse from left to right and
>> back does the tooltip "jump" accordingly from one monitor to the other?
>
> No that's silly because the mouse must be on the frame border for
> dragging.  So you have to release the mouse first and move it to the
> appropriate text.

Furthermore, the tooltip frame isn't supposed to move once it is
displayed, AFAIK.

I'll commit the patch soon, but the bug will remain open until I check
the MS Windows case. The test on Windows I mentioned at the beginning of
this issue was not valid, because it used only monitor. It is frequent
to connect MS Windows laptops to an external monitor and use both
displays, effectively duplicating the setup I have on GNU/Linux: two
monitors with different resolutions.